Skip to main content
Scrape a Google search SERP for organic + ad results
curl --request POST \
  --url https://api.scrapeunblocker.com/serpApi \
  --header 'x-scrapeunblocker-key: <api-key>'
import requests

url = "https://api.scrapeunblocker.com/serpApi"

headers = {"x-scrapeunblocker-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-scrapeunblocker-key': '<api-key>'}};

fetch('https://api.scrapeunblocker.com/serpApi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

x-scrapeunblocker-key
string
header
required

Your ScrapeUnblocker API key. Apply on every request.

Query Parameters

keyword
string
required
proxy_country
string
pages_to_check
integer
default:1
Required range: 1 <= x <= 10
wait_after_load
integer
default:0
Required range: x >= 0
captcha_pause
integer
default:0
Required range: x >= 0

Response

JSON with organic/ads/totals.